Bug 1650587 - rpmdiff: Execshield complaints that pltcl.so has some annobin issues
Summary: rpmdiff: Execshield complaints that pltcl.so has some annobin issues
Keywords:
Status: POST
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: postgresql-10-module
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Ondrej Dubaj
QA Contact: RHEL CS Apps Subsystem QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 14:57 UTC by Pavel Raiskup
Modified: 2020-01-17 06:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 10:05:57 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Raiskup 2018-11-16 14:57:36 UTC
Detecting usr/lib/pgsql/pltcl.so with not-hardened warnings '
Hardened: pltcl.so: FAIL: Gaps were detected in the annobin coverage.  Run with -v to list.
' on i686

Comment 1 Ondrej Dubaj 2019-05-28 10:05:57 UTC
This bug seems to be already fixed, as a scratch build from the current version was built and no errors were detected.

Scratch build here: https://brewweb.engineering.redhat.com/brew/taskinfo?taskID=21859946

new RPMDiff results here: https://rpmdiff.engineering.redhat.com/run/407284/18/

compared to old RPMDiff: https://rpmdiff.engineering.redhat.com/run/388125/7/

Due to this reasons, the bug will be closed as NOTABUG. If you consider this is a bug, feel free to reopen this issue.

Comment 2 Pavel Raiskup 2019-05-28 10:33:42 UTC
So maybe some build problem has been fixed, but isn't the problem already
compiled into the shipped binaries?

Comment 3 Ondrej Dubaj 2019-05-28 11:03:15 UTC
Yes, you are right. This is the last version used by customers. It would be rather better to reopen this bug and wait for the next build. If the RPMDiff will be OK, then it will be closed, since it is not so critical to make release dump and a new build for this issue.

Thank you for your advise!


Note You need to log in before you can comment on or make changes to this bug.